DEFAULT_FOOD_TIMES = {
  breakfast: "07:00",
  snack1: "10:30",
  snack2: "15:00",
  snack3: "20:00",
  lunch: "12:30",
  dinner: "18:00"
}

function writeFoodDiaryImagesList(day) {
  var html = '<ul onClick="$j.mobile.changePage(\'#foodDiaryDay?date='+day.date+'\');" class="food images">'
  for (var i=0; i<day.entries.length; i++) {
    html += writeFoodEntryWithPhoto(day.entries[i]);
  }
  html+='</ul>'
  return html;
}

function writeFoodEntryWithPhoto(entry, change) {
  var image_url = (entry.photo_url) ? entry.photo_url : "img/food_diary/text.png"
  var html = ''
  html += '<li id="'+entry.id+'" >'
  html += (change==true) ? '<img class="mdl-light-background" onclick="foodDiaryWizard.start(\'photo\', \'edit\',\''+$j.param(entry).replace(/'/g, '\\\'')+'&date='+entry.consumed_on+'\') ' +'" src="'+image_url+'" />' :
                           '<img class="mdl-light-background" src="'+image_url+'" />';
  html += '</li>';
  return html;
}

function writeFoodEntryWithoutPhoto(entry) {
  var html = ''
  html += '<li id="'+entry.id+'" onclick="foodDiaryWizard.start(\'text\', \'edit\',\''+$j.param(entry).replace(/'/g, '\\\'')+'&date='+entry.consumed_on+'\') ' +'" >';
  html += '<img class="text-icon mdl-light-background" src="img/food_diary/text.png" />';
  html += '<div class="description">'+entry.description+'</div';
  html += '</li>';
  return html;
}

function writeFoodDiaryDay(day, selected, finished) {
  if (selected) var addClass = 'selected';
  return ''+
    '<li class="'+addClass+'">' +
      '<h2 onClick="$j.mobile.changePage(\'#foodDiaryDay?date='+day.date+'\');" class="day">'+ day.nice_date +'</h2>' +
      writeFoodDiaryImagesList(day) +
    '</li>';
}

function writeFoodDiaryMoment(moment) {
  var html = '';
  html += '<li class="moment">'
  html += '<h2>' + moment.name + '</h2>';

  var groups = moment.groups.sort(function(a, b){return b.photo-a.photo});
  for (var i=0; i<groups.size(); i++) {
    group = groups[i];
    if (group.photo) {
      html += '<ul class="food images">';
      for (var j=0; j<group.entries.size(); j++) {
        html += writeFoodEntryWithPhoto(group.entries[j], true);
      }
      html+='</ul>';
    } else {
      html += '<ul class="food texts">';
      for (var j=0; j<group.entries.size(); j++) {
        html += writeFoodEntryWithoutPhoto(group.entries[j]);
      }
      html+='</ul>';
    }
  }

  html+='</li>';
  return html;
}

function writeSelectTime(name, startHour, placeholder) {
  var html = '';
  var minutes = ['00', '15', '30', '45'];
  var hours = [];

  html += '<select data-theme="b" id="'+name+'" name="'+name+'">';
  html += '<option value="">'+placeholder+'</option>';

  for (var hour = startHour; hour < startHour + 24; hour++) {
    var realHour = hour%24;
    for (var i = 0; i < minutes.length; i++) {
      var minute = minutes[i];
      var time = realHour+':'+minute;
      if (realHour<10) {
        var value = '0'+time;
      } else var value = time;
      html += '<option value="'+value+'">'+time+'</option>';
    }
  }
  html += '</select>';

  return html;
};

function showLoading(showOrHide) {
  console.log("show");
  setTimeout(function(){
    $j.mobile.loading(showOrHide);
  }, 200);
}

function sendDiary() {
  //showLoading("show");
  setTimeout(function(){
    $j.mobile.loading().show();
  }, 200);
  $j.mobile.loading("show");
  doPut(
    getServiceURL("/food_diary/finish"),
    null,
    true,
    function() {
      //$j.mobile.loading().show();
      alert("Het eetdagboek is verstuurd.");
    },
    function() {
      //showLoading("hide");
      alert("Het eetdagboek kon niet worden verstuurd.");
    }
  );
}
